import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
import java.awt.Color;
/**
 * Write a description of class Space here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Space  extends World
{
    /**
     * Constructor for objects of class Space.
     * 
     */
    
    private Color rocacaf = Color.BLACK;
    private int bandAr=1;
    private int bandAc;
    private int menu=0;
    private Boton jug,ayu,back;
    private Misiles  mis=new Misiles();
    private BajaGas gas=new BajaGas();
    private BajaEne ene=new BajaEne();
    private Vidas vid=new Vidas();
    private boolean paused = false;
   
    GreenfootSound music = new GreenfootSound("menu2.mp3");
    public Space()
    {    
        super(550, 400, 1);
        menu();
    }
    
    public void act()
    {
        
        if(paused==true&&menu==1)
            music.playLoop();
         else 
            music.stop();
    }
    
    public void started()
    {
       paused=true;
    }
    
    public void stopped()
    {
        paused = false;
        music.stop();
    }

    public Boton dameJug()
    {
      return jug;
    }
     
    public Boton dameAyu()
    {
      return ayu;
    }
    
    public Misiles dameMisil()
    {
       return mis;
    }
    
    public BajaGas dameGas()
    {
       return gas;
    }
    
    public BajaEne dameEne()
    {
       return ene;
    }
    
    
    public Vidas dameVida()
    {
       return vid;
    }
        
    public Boton dameBack()
    {
      return back;
    }
    
    public void menu()
    {
       vid.tomaVida(6);
       vid.cambiaVidas(5);
       bandAr=1;
       setBackground("space.png");
       jug=new Boton("boJug.png");
       addObject(jug,273,238);
       ayu=new Boton("boayu.png");
       addObject(ayu,273,328);
       addObject(new Mouse(),273,280);
       menu=1;
    }
    
    public void ayuda()
    {
       setBackground("ayuda.png");
       back=new Boton("botback.png");
       addObject(back,273,370);
    }
    
    
    public void nivel1()
    {
        
        menu=0;
        bandAc=1;
        addObject(new Nave(),102,250);
        setBackground("nivel1.png");
        addObject(new Fuel(),54,95);
        addObject(new Salida(),510,93);
        addObject(new Energy(),426,182);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
      
    }
    
    public void nivel2(int a)
    {
        bandAc=2;
        if(a==1)
           addObject(new Nave(),32,57);
        setBackground("nivel2.png");
        addObject(new Energy(),110,289);
        addObject(new Save(),372,284);
        addObject(new Salida(),519,213);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel3(int a)
    {
        bandAc=3;
        setBackground("nivel3.png");
        if(a==1)
            addObject(new Nave(),32,110);
        addObject(new Cartucho(),140,264);
        addObject(new Fuel(),249,295);
        addObject(new Energy(),336,263);
        addObject(new Salida(),512,154);
        addObject(new Cartucho(),272,314);
        
        Obstaculo obs1=new Obstaculo();        
        addObject(obs1,324,120);
        obs1.setImage("obst1.png");
        
        obs1=new Obstaculo();        
        addObject(obs1,362,233);
        obs1.setImage("obst2.png");
        obs1.setRotation(235);
        
        obs1=new Obstaculo();        
        addObject(obs1,291,286);
        obs1.setImage("obst3.png");
        obs1.setRotation(340);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel4(int a)
    {
        bandAc=4;
        setBackground("nivel4.png");
        if(a==1)
            addObject(new Nave(),110,34);
        addObject(new Save(),302,293);
        Salida fle=new Salida();
        addObject(fle,152,314);
        fle.setRotation(90);
        addObject(new Fuel(),326,282);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }
    
    public void nivel5(int a)
    {
        bandAc=5;
        setBackground("nivel5.png");
        if(a==1)
            addObject(new Nave(),172,26);
        addObject(new Cartucho(),295,115);
        addObject(new Energy(),270,141);
        addObject(new Fuel(),309,146);
        Salida fle=new Salida();
        addObject(fle,441,20);
        fle.setRotation(270);
        addObject(new Cartucho(),203,268);
        Obstaculo obs1=new Obstaculo();        
        addObject(obs1,161,263);        
        obs1.setImage("obst4.png");
        
        obs1=new Obstaculo();        
        addObject(obs1,251,265);
        obs1.setImage("obst5.png");
               
        obs1=new Obstaculo();        
        addObject(obs1,358,267);
        obs1.setImage("obst6.png");
               
        obs1=new Obstaculo();        
        addObject(obs1,329,125);
        obs1.setImage("obst7.png");
        obs1.setRotation(340);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel6(int a)
    {
        bandAc=6;
        setBackground("nivel4.png");
        if(a==1)
            addObject(new Nave(),472,307);
        Salida fle=new Salida();
        addObject(fle,454,27);
        fle.setRotation(270);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel7(int a)
    {
        bandAc=7;
        setBackground("nivel6.png");
        if(a==1)
            addObject(new Nave(),446,311);
        addObject(new Save(),164,284);
        Salida fle=new Salida();
        addObject(fle,289,24);
        fle.setRotation(270);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel8(int a)
    {
        bandAc=8;
        setBackground("nivel7.png");
        if(a==1)
            addObject(new Nave(),331,305);
        addObject(new Cartucho(),104,275);
        addObject(new Energy(),75,274);
        addObject(new Fuel(),87,249);
        
        Ovni ov=new Ovni();
        ov.tomaCentro(289);
        addObject(ov,289,67);
        
        Obstaculo obs1=new Obstaculo();        
        addObject(obs1,250,239);
        obs1.setImage("obst8.png");
        //obs1.setRotation(340);
        
        obs1=new Obstaculo();        
        addObject(obs1,120,143);
        obs1.setImage("obst9.png");
        //obs1.setRotation(340);
        
       
        Salida fle=new Salida();
        addObject(fle,289,24);
        fle.setRotation(270);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
         addObject(vid,388,365);
    }
    
    public void nivel9(int a)
    {
        bandAc=9;
        setBackground("nivel8.png");
        if(a==1)
        addObject(new Nave(),295,319);
        addObject(new Cartucho(),457,243);
        addObject(new Energy(),498,215);
        addObject(new Fuel(),455,200);
        addObject(new Save(),363,94);  
        
        Obstaculo obs1=new Obstaculo();        
        addObject(obs1,352,213);
        obs1.setImage("obst10.png");
        //obs1.setRotation(340);
        
        obs1=new Obstaculo();        
        addObject(obs1,377,214);
        obs1.setImage("obst11.png");
        //obs1.setRotation(340);
        
        obs1=new Obstaculo();        
        addObject(obs1,475,123);
        obs1.setImage("obst12.png");
        
       
        Salida fle=new Salida();
        addObject(fle,45,34);
        fle.setRotation(230);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }
    
    public void nivel10(int a)
    {
        bandAc=10;
        setBackground("nivel9.png");
        if(a==1)
        addObject(new Nave(),496,311);
        addObject(new Cartucho(),105,137);
        addObject(new Energy(),140,136);
        addObject(new Fuel(),65,137);
        Salida fle=new Salida();
        addObject(fle,103,29);
        fle.setRotation(270);
        Ovni ov=new Ovni();
        ov.tomaCentro(178);
        ov.cambiaDir(1);
        addObject(ov,178,231);
        ov.setRotation(330);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }    
    
     public void nivel11(int a)
    {
        bandAc=11;
        setBackground("nivel10.png");
        if(a==1)
        addObject(new Nave(),92,318);
        Salida fle=new Salida();
        addObject(fle,24,182);
        fle.setRotation(180);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }    
    
     public void nivel12(int a)
    {
        bandAc=12;
        setBackground("nivel11.png");
        if(a==1)
        addObject(new Nave(),528,189);
        Save sav=new Save();
        addObject(sav,52,200);
        sav.setRotation(180);
        
        Salida fle=new Salida();
        fle.setRotation(180);
        addObject(fle,30,234);
        addObject(new Martillo(),205,111);
        addObject(new Picos(),160,293);
        addObject(new Picos(),396,102);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }    
    
    public void nivel13(int a)
    {
        bandAc=13;
        setBackground("nivel12.png");
        if(a==1)
        addObject(new Nave(),527,225);
        Save sav=new Save();
        addObject(sav,62,173);
        sav.setRotation(40);
        
        Salida fle=new Salida();
        fle.setRotation(0);
        addObject(fle,523,67);
        addObject(new Martillo(),221,115);
       
        addObject(new Picos(),195,292);
        addObject(new Picos(),389,292);
        addObject(new Cartucho(),340,85);
        addObject(new Energy(),167,89);
        addObject(new Fuel(),144,88);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }
    
     public void nivel14(int a)
    {
        bandAc=14;
        setBackground("nivel11.png");
        if(a==1)
        addObject(new Nave(),29,61);
           
        Salida fle=new Salida();
        fle.setRotation(0);
        addObject(fle,519,58);
        addObject(new Martillo(),205,111);
        addObject(new Picos(),160,293);
        addObject(new Picos(),396,102);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }
     
    public void nivel15(int a)
    {
        bandAc=15;
        setBackground("nivel10.png");
        if(a==1)
        addObject(new Nave(),29,61);
        Salida fle=new Salida();
        fle.setRotation(90);
        addObject(fle,395,306);
        addObject(new Energy(),433,53);
        addObject(new Fuel(),402,54);
        addObject(new Energy(),433,88);
        addObject(new Fuel(),402,88);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }   
    
     public void nivel16(int a)
    {
        bandAc=16;
        setBackground("nivel9.png");
        if(a==1)
        addObject(new Nave(),359,16);
        Salida fle=new Salida();
        fle.setRotation(0);
        addObject(fle,519,100);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    } 
    
    public void nivel17(int a)
    {
        bandAc=17;
        setBackground("nivel13.png");
        if(a==1)
        addObject(new Nave(),30,114);
        Salida fle=new Salida();
        fle.setRotation(90);
        Obstaculo obs1=new Obstaculo();        
        addObject(obs1,426,121);
        obs1.setImage("obst4.png");
        Save sav=new Save();
        addObject(sav,146,167);
        sav.setRotation(0);
        addObject(fle,297,315);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    } 
    
    public void nivel18(int a)
    {
        bandAc=18;
        setBackground("nivel14.png");
        if(a==1)
        addObject(new Nave(),297,27);
        Salida fle=new Salida();
        fle.setRotation(90);
        addObject(new Cartucho(),423,252);
        addObject(new Energy(),148,110);
        addObject(new Fuel(),423,100);
         addObject(new Cartucho(),426,133);
        addObject(new Energy(),421,220);
        addObject(new Fuel(),149,234);
        addObject(new Ator(),349,112);
         addObject(new Ator(),350,238);
        addObject(fle,297,312);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }    
     
    public void nivel19(int a)
    {
        bandAc=19;
        setBackground("nivel15.png");
        if(a==1)
        addObject(new Nave(),292,24);
        Salida fle=new Salida();
        fle.setRotation(0);
        addObject(new Energy(),277,176);
        addObject(new Fuel(),448,69);
        
        addObject(new Fuel(),417,90);
        Ator ato=new Ator();
        addObject(ato,296,168);
        ato.cambiaDir(1);
        ato.setRotation(335);
        addObject(fle,515,226);
        addObject(mis,164,373);
        addObject(gas,62,355);
        addObject(ene,62,376);
        addObject(vid,388,365);
    }  
    
    public void ganaste()
    {
        removeObject(mis);
        removeObject(gas);
        removeObject(ene);
        removeObject(vid);
        setBackground("ganaste.png");
        Greenfoot.delay(50);
        setBackground("creditos.png");
        Greenfoot.delay(150);
        //menu();
    }
    
    public int dameActual()
    {
        return(bandAc);
    }
    
    public void cambiaArr(int a)
    {
        bandAr=a;
    }
    
    public int dameArr()
    {
        return bandAr;
    }
    
    public Color dameColorRoca()
    {
        return rocacaf;
    }
    
    
}
